Bug 426643 - Review Request: perl-Linux-Pid - Get the native PID and the PPID on Linux
Review Request: perl-Linux-Pid - Get the native PID and the PPID on Linux
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-23 11:10 EST by Xavier Bachelot
Modified: 2008-01-13 12:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-13 12:48:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-23 11:10:14 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-Linux-Pid.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-Linux-Pid-0.04-1.fc8.src.rpm
Description: Linux::Pid gets the native PID and the PPID on Linux. It's useful with multithreaded programs. Linux's C library returns different values of the PID and the PPID from different threads. This module forces Perl to call the underlying C functions getpid() and getppid().
Comment 2 Parag AN(पराग) 2007-12-23 12:50:57 EST
make test should execute all tests successfully
But here I see that
        2/9 skipped: thread model is NPTL 2.7.90
All tests successful, 2 subtests skipped.
Comment 3 Xavier Bachelot 2007-12-23 13:13:23 EST
I believe this is regular behavior. The tests are skipped, not failed.
Comment 4 Parag AN(पराग) 2007-12-24 00:10:30 EST
I think only Author/Developer tests that are skipped are ok. But all tests
should be executed successfully.
Comment 5 Xavier Bachelot 2008-01-09 05:12:32 EST
Not sure what you call 'Author/Developer tests'. Anyway, I'm asking some perl
devs here to take a look at the issue.
Comment 6 Ralf Corsepius 2008-01-12 00:52:46 EST
This test is OK. 

It is checking the runtime environment for a specific pthread model and skips
some subtests if it doesn't find the pthread model this it wants to test the
behavior of.

What is not OK with this package's spec (MUSTFIX):
%check ||:

We want to see breakdowns in testsuites => remove the ||:

2. the "BuildRequires:"
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)  
seems sufficient.

All others seem superfluous to me.

Comment 7 Parag AN(पराग) 2008-01-12 01:24:24 EST
thanks Ralf.
Xavier, Can you please provide new updates SRPM that fix issues in above comment?
Comment 9 Parag AN(पराग) 2008-01-12 07:44:45 EST
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
130c4d299f827abf1f2285fddf03fccb  Linux-Pid-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
        2/9 skipped: thread model is NPTL 2.7.90
All tests successful, 2 subtests skipped.
Files=3, Tests=13,  0 wallclock secs ( 0.08 cusr +  0.03 csys =  0.11 CPU)

+ Package perl-Linux-Pid-0.04-3.fc9 =>
  Provides: Pid.so perl(Linux::Pid) = 0.04
    Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
perl(:MODULE_COMPAT_5.8.8) perl(XSLoader) perl(strict) perl(warnings) 

Comment 10 Xavier Bachelot 2008-01-12 07:53:49 EST
Thx Parag.

New Package CVS Request
Package Name: perl-Linux-Pid
Short Description: Get the native PID and the PPID on Linux
Owners: xavierb
Branches: F-8
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-01-12 15:34:40 EST
cvs done.
Comment 12 Xavier Bachelot 2008-01-13 12:48:23 EST
Imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.